Bug 891167 - update_po adds duplicate revision numbers
update_po adds duplicate revision numbers
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: 3.2
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-02 01:18 EST by Ruediger Landmann
Modified: 2013-08-09 00:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 00:47:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2013-01-02 01:18:18 EST
Description of problem:
If a translator runs update_po more than once, duplicate entries get created in the translated Revision_History if the source language Revision_History has not been updated.

Version-Release number of selected component (if applicable):
3.0

How reproducible:
100%

Steps to Reproduce:
1. Run update_pot on a book
2. update_po --langs de-DE 
3. update_po --langs de-DE
4. inspect de-DE/Revision_History.xml
  
Actual results:
The de-DE/Revision_History.xml file contains identical "Translation files synchronised with XML sources <revnumber>" entries.

Expected results:
The de-DE/Revision_History.xml file should contains only one "Translation files synchronised with XML sources <revnumber>" entry for a specific revision of the source language.

Additional info:
When multiple translators collaborate on a project, it's easy to inadvertently create this kind of duplication.
Comment 2 Jeff Fearn 2013-07-08 01:06:55 EDT
Made update_po increment revision number correctly.

To ssh://git.fedorahosted.org/git/publican.git
   0bc2019..7d83cba  HEAD -> devel
Comment 3 HSS Product Manager 2013-07-08 01:48:17 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 4 Petr Bokoc 2013-07-22 09:06:06 EDT
Version numbers in Revision_History.xml now increment correctly when running the publican update_po command multiple times.

Verified in publican-3.1.5-0.fc17.t62.noarch.
Comment 5 Jeff Fearn 2013-08-09 00:47:26 EDT
The fix for this bug has been shipped in publican 3.2.0

Note You need to log in before you can comment on or make changes to this bug.